<?php

namespace Annie\Campaign\Repositories\Eloquent;

use Annie\Campaign\Interfaces\CampaignKindSupportRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CampaignKindSupportRepository extends BaseRepository implements CampaignKindSupportRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.campaign.campaign_kind_support.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.campaign.campaign_kind_support.model.model');
    }
}
