<?php

namespace Annie\Campaign\Repositories\Eloquent;

use Annie\Campaign\Interfaces\CampaignRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CampaignRepository extends BaseRepository implements CampaignRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.campaign.campaign.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.campaign.campaign.model.model');
    }
}
