    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('campaign::campaign_volunteer.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#campaign-campaign_volunteer-entry' data-href='{{guard_url('campaign/campaign_volunteer/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($campaign_volunteer->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#campaign-campaign_volunteer-entry' data-href='{{ guard_url('campaign/campaign_volunteer') }}/{{$campaign_volunteer->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#campaign-campaign_volunteer-entry' data-datatable='#campaign-campaign_volunteer-list' data-href='{{ guard_url('campaign/campaign_volunteer') }}/{{$campaign_volunteer->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('campaign-campaign_volunteer-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('campaign/campaign_volunteer'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('campaign::campaign_volunteer.name') !!}  [{!! $campaign_volunteer->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('campaign::admin.campaign_volunteer.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>